APIPersonal data

Update personal preferences

PUT
/api/v1/preferences

Authorization

bearerAuth preferences.write
headerAuthorizationBearer <API key or OAuth 2.1 access token>

Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.

Scope: preferences.write

Request Body

application/json
  1. body
distanceUnit?string
Value in"km""mi""nm"
windSpeedUnit?string
Value in"kt""mph""kmh""ms"
temperatureUnit?string
Value in"c""f"
pressureUnit?string
Value in"hpa""inhg"
timeFormat?string
Value in"12h""24h""auto"
dateFormat?string
Value in"iso""us""eu""auto"
weekStartsOn?string
Value in"mon""sun""auto"
flightTimeDisplay?string
Value in"airport""utc""system"

Response Body

Preferences updated.

application/json
  1. response
data*
Example Request
curl -X PUT 'https://your-instance.example/api/v1/preferences' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "data": {}}